#ifndef Button_h
#define Button_h

#include "Arduino.h"
#include <JC_Button.h>

class Button_Controler
{
  public:
    Button_Controler(int left_pin, int middle_pin, int right_pin);
    void Refresh();
    void Clear();
    bool GetLeftState();
    bool GetMidState();
    bool GetRightState();
    
  private:
    bool ls;
    bool ms;
    bool rs;
    Button leftBtn;
    Button midBtn;
    Button rightBtn;
};
#endif
